Index: uKadecot/trunk/csp/ukadecot/ukadecot.mtpj
===================================================================
--- uKadecot/trunk/csp/ukadecot/ukadecot.mtpj	(revision 248)
+++ uKadecot/trunk/csp/ukadecot/ukadecot.mtpj	(revision 262)
@@ -1566,61 +1622,64 @@
       <LbgOptionLibraryMode-DefaultValue>MakeOptionChanged</LbgOptionLibraryMode-DefaultValue>
       <LbgOptionLogo-DefaultValue>False</LbgOptionLogo-DefaultValue>
+      <LbgOptionOutputFolder-DefaultValue>%BuildModeName%</LbgOptionOutputFolder-DefaultValue>
+      <LbgOptionUseSameOptimizeRelatedSettingsAsCompileOptions-DefaultValue>False</LbgOptionUseSameOptimizeRelatedSettingsAsCompileOptions-DefaultValue>
+      <LbgOptionHead-DefaultValue>Custom</LbgOptionHead-DefaultValue>
       <LbgOptionOptimize-DefaultValue>Level2</LbgOptionOptimize-DefaultValue>
-      <LbgOptionOutputFolder-DefaultValue>%BuildModeName%</LbgOptionOutputFolder-DefaultValue>
-      <LbgOptionGoptimize-DefaultValue>False</LbgOptionGoptimize-DefaultValue>
-      <LbgOptionHead-DefaultValue>Custom</LbgOptionHead-DefaultValue>
       <LbgOptionOutputFileName-DefaultValue>%ProjectName%.lib</LbgOptionOutputFileName-DefaultValue>
       <LbgOptionPreLibraryGenerateCommands-DefaultValue />
       <LbgOptionFunctionalCutdown-DefaultValue>None</LbgOptionFunctionalCutdown-DefaultValue>
+      <LbgOptionGoptimize-DefaultValue>False</LbgOptionGoptimize-DefaultValue>
       <LbgOptionHeadRuntime-DefaultValue>True</LbgOptionHeadRuntime-DefaultValue>
       <LbgOptionPostLibraryGenerateCommands-DefaultValue />
-      <LbgOptionSpeedAndSize-DefaultValue>Size</LbgOptionSpeedAndSize-DefaultValue>
       <LbgOptionHeadCtypeH-DefaultValue>False</LbgOptionHeadCtypeH-DefaultValue>
-      <LbgOptionLoop-DefaultValue>Auto</LbgOptionLoop-DefaultValue>
       <LbgOptionOtherAdditionalOptions-DefaultValue />
       <LbgOptionReent-DefaultValue>False</LbgOptionReent-DefaultValue>
+      <LbgOptionSpeedAndSize-DefaultValue>Size</LbgOptionSpeedAndSize-DefaultValue>
       <LbgOptionCommandLine-DefaultValue />
       <LbgOptionHeadMathH-DefaultValue>False</LbgOptionHeadMathH-DefaultValue>
+      <LbgOptionLoop-DefaultValue>Auto</LbgOptionLoop-DefaultValue>
+      <LbgOptionSecureMalloc-DefaultValue>False</LbgOptionSecureMalloc-DefaultValue>
+      <LbgOptionHeadMathfH-DefaultValue>False</LbgOptionHeadMathfH-DefaultValue>
       <LbgOptionLoopValue-DefaultValue>2</LbgOptionLoopValue-DefaultValue>
+      <LbgOptionUseSameObjectRelatedSettingsAsCompileOptions-DefaultValue>False</LbgOptionUseSameObjectRelatedSettingsAsCompileOptions-DefaultValue>
+      <LbgOptionHeadStdargH-DefaultValue>False</LbgOptionHeadStdargH-DefaultValue>
+      <LbgOptionInline-DefaultValue>Auto</LbgOptionInline-DefaultValue>
       <LbgOptionSectionP-DefaultValue>P</LbgOptionSectionP-DefaultValue>
-      <LbgOptionHeadMathfH-DefaultValue>False</LbgOptionHeadMathfH-DefaultValue>
-      <LbgOptionInline-DefaultValue>Auto</LbgOptionInline-DefaultValue>
+      <LbgOptionHeadStdioH-DefaultValue>True</LbgOptionHeadStdioH-DefaultValue>
+      <LbgOptionInlineValue-DefaultValue>100</LbgOptionInlineValue-DefaultValue>
       <LbgOptionSectionC-DefaultValue>C</LbgOptionSectionC-DefaultValue>
-      <LbgOptionHeadStdargH-DefaultValue>False</LbgOptionHeadStdargH-DefaultValue>
-      <LbgOptionInlineValue-DefaultValue>100</LbgOptionInlineValue-DefaultValue>
+      <LbgOptionFileInline-DefaultValue />
+      <LbgOptionHeadStdlibH-DefaultValue>True</LbgOptionHeadStdlibH-DefaultValue>
       <LbgOptionSectionD-DefaultValue>D</LbgOptionSectionD-DefaultValue>
-      <LbgOptionFileInline-DefaultValue />
-      <LbgOptionHeadStdioH-DefaultValue>True</LbgOptionHeadStdioH-DefaultValue>
+      <LbgOptionCase-DefaultValue>Auto</LbgOptionCase-DefaultValue>
+      <LbgOptionHeadStringH-DefaultValue>True</LbgOptionHeadStringH-DefaultValue>
       <LbgOptionSectionB-DefaultValue>B</LbgOptionSectionB-DefaultValue>
-      <LbgOptionCase-DefaultValue>Auto</LbgOptionCase-DefaultValue>
-      <LbgOptionHeadStdlibH-DefaultValue>True</LbgOptionHeadStdlibH-DefaultValue>
+      <LbgOptionHeadIos-DefaultValue>False</LbgOptionHeadIos-DefaultValue>
       <LbgOptionSectionL-DefaultValue>L</LbgOptionSectionL-DefaultValue>
-      <LbgOptionHeadStringH-DefaultValue>True</LbgOptionHeadStringH-DefaultValue>
-      <LbgOptionSectionW-DefaultValue>W</LbgOptionSectionW-DefaultValue>
       <LbgOptionVolatile-DefaultValue>False</LbgOptionVolatile-DefaultValue>
       <LbgOptionConstCopy-DefaultValue>Auto</LbgOptionConstCopy-DefaultValue>
-      <LbgOptionHeadIos-DefaultValue>False</LbgOptionHeadIos-DefaultValue>
+      <LbgOptionHeadNew-DefaultValue>True</LbgOptionHeadNew-DefaultValue>
+      <LbgOptionSectionW-DefaultValue>W</LbgOptionSectionW-DefaultValue>
+      <LbgOptionConstDiv-DefaultValue>Auto</LbgOptionConstDiv-DefaultValue>
+      <LbgOptionHeadComplex-DefaultValue>False</LbgOptionHeadComplex-DefaultValue>
       <LbgOptionNostuffB-DefaultValue>False</LbgOptionNostuffB-DefaultValue>
-      <LbgOptionConstDiv-DefaultValue>Auto</LbgOptionConstDiv-DefaultValue>
-      <LbgOptionHeadNew-DefaultValue>True</LbgOptionHeadNew-DefaultValue>
+      <LbgOptionHeadString-DefaultValue>False</LbgOptionHeadString-DefaultValue>
+      <LbgOptionLibrary-DefaultValue>Intrinsic</LbgOptionLibrary-DefaultValue>
       <LbgOptionNostuffD-DefaultValue>False</LbgOptionNostuffD-DefaultValue>
-      <LbgOptionHeadComplex-DefaultValue>False</LbgOptionHeadComplex-DefaultValue>
-      <LbgOptionLibrary-DefaultValue>Intrinsic</LbgOptionLibrary-DefaultValue>
+      <LbgOptionHeadComplexH-DefaultValue>False</LbgOptionHeadComplexH-DefaultValue>
       <LbgOptionNostuffC-DefaultValue>False</LbgOptionNostuffC-DefaultValue>
-      <LbgOptionHeadString-DefaultValue>False</LbgOptionHeadString-DefaultValue>
+      <LbgOptionScope-DefaultValue>Auto</LbgOptionScope-DefaultValue>
+      <LbgOptionHeadFenvH-DefaultValue>False</LbgOptionHeadFenvH-DefaultValue>
       <LbgOptionNostuffW-DefaultValue>False</LbgOptionNostuffW-DefaultValue>
-      <LbgOptionScope-DefaultValue>Auto</LbgOptionScope-DefaultValue>
-      <LbgOptionHeadComplexH-DefaultValue>False</LbgOptionHeadComplexH-DefaultValue>
-      <LbgOptionInstalign-DefaultValue>Noinstalign</LbgOptionInstalign-DefaultValue>
       <LbgOptionSchedule-DefaultValue>Auto</LbgOptionSchedule-DefaultValue>
       <LbgOptionApproxdiv-DefaultValue>False</LbgOptionApproxdiv-DefaultValue>
-      <LbgOptionHeadFenvH-DefaultValue>False</LbgOptionHeadFenvH-DefaultValue>
+      <LbgOptionHeadInttypesH-DefaultValue>False</LbgOptionHeadInttypesH-DefaultValue>
+      <LbgOptionInstalign-DefaultValue>Noinstalign</LbgOptionInstalign-DefaultValue>
+      <LbgOptionEnableRegister-DefaultValue>False</LbgOptionEnableRegister-DefaultValue>
+      <LbgOptionHeadWcharH-DefaultValue>False</LbgOptionHeadWcharH-DefaultValue>
       <LbgOptionNouseDiv-DefaultValue>True</LbgOptionNouseDiv-DefaultValue>
-      <LbgOptionEnableRegister-DefaultValue>False</LbgOptionEnableRegister-DefaultValue>
-      <LbgOptionHeadInttypesH-DefaultValue>False</LbgOptionHeadInttypesH-DefaultValue>
-      <LbgOptionHeadWcharH-DefaultValue>False</LbgOptionHeadWcharH-DefaultValue>
+      <LbgOptionHeadWctypeH-DefaultValue>False</LbgOptionHeadWctypeH-DefaultValue>
       <LbgOptionSimpleFloatConv-DefaultValue>False</LbgOptionSimpleFloatConv-DefaultValue>
       <LbgOptionFpu-DefaultValue>Auto</LbgOptionFpu-DefaultValue>
-      <LbgOptionHeadWctypeH-DefaultValue>False</LbgOptionHeadWctypeH-DefaultValue>
       <LbgOptionFloatOrder-DefaultValue>False</LbgOptionFloatOrder-DefaultValue>
       <IsLockedByUser>False</IsLockedByUser>
@@ -1629,60 +1688,63 @@
       <LbgOptionLibraryMode-0>MakeOptionChanged</LbgOptionLibraryMode-0>
       <LbgOptionLogo-0>False</LbgOptionLogo-0>
+      <LbgOptionOutputFolder-0>%BuildModeName%</LbgOptionOutputFolder-0>
+      <LbgOptionUseSameOptimizeRelatedSettingsAsCompileOptions-0>False</LbgOptionUseSameOptimizeRelatedSettingsAsCompileOptions-0>
+      <LbgOptionHead-0>Custom</LbgOptionHead-0>
       <LbgOptionOptimize-0>Level2</LbgOptionOptimize-0>
-      <LbgOptionOutputFolder-0>%BuildModeName%</LbgOptionOutputFolder-0>
-      <LbgOptionGoptimize-0>False</LbgOptionGoptimize-0>
-      <LbgOptionHead-0>Custom</LbgOptionHead-0>
       <LbgOptionOutputFileName-0>%ProjectName%.lib</LbgOptionOutputFileName-0>
       <LbgOptionPreLibraryGenerateCommands-0 />
       <LbgOptionFunctionalCutdown-0>None</LbgOptionFunctionalCutdown-0>
+      <LbgOptionGoptimize-0>False</LbgOptionGoptimize-0>
       <LbgOptionPostLibraryGenerateCommands-0 />
-      <LbgOptionSpeedAndSize-0>Size</LbgOptionSpeedAndSize-0>
       <LbgOptionHeadCtypeH-0>False</LbgOptionHeadCtypeH-0>
-      <LbgOptionLoop-0>Auto</LbgOptionLoop-0>
       <LbgOptionOtherAdditionalOptions-0 />
       <LbgOptionReent-0>False</LbgOptionReent-0>
+      <LbgOptionSpeedAndSize-0>Size</LbgOptionSpeedAndSize-0>
       <LbgOptionCommandLine-0 />
       <LbgOptionHeadMathH-0>False</LbgOptionHeadMathH-0>
+      <LbgOptionLoop-0>Auto</LbgOptionLoop-0>
+      <LbgOptionSecureMalloc-0>False</LbgOptionSecureMalloc-0>
+      <LbgOptionHeadMathfH-0>False</LbgOptionHeadMathfH-0>
       <LbgOptionLoopValue-0>2</LbgOptionLoopValue-0>
+      <LbgOptionUseSameObjectRelatedSettingsAsCompileOptions-0>False</LbgOptionUseSameObjectRelatedSettingsAsCompileOptions-0>
+      <LbgOptionHeadStdargH-0>False</LbgOptionHeadStdargH-0>
+      <LbgOptionInline-0>Auto</LbgOptionInline-0>
       <LbgOptionSectionP-0>P</LbgOptionSectionP-0>
-      <LbgOptionHeadMathfH-0>False</LbgOptionHeadMathfH-0>
-      <LbgOptionInline-0>Auto</LbgOptionInline-0>
+      <LbgOptionHeadStdioH-0>True</LbgOptionHeadStdioH-0>
+      <LbgOptionInlineValue-0>100</LbgOptionInlineValue-0>
       <LbgOptionSectionC-0>C</LbgOptionSectionC-0>
-      <LbgOptionHeadStdargH-0>False</LbgOptionHeadStdargH-0>
-      <LbgOptionInlineValue-0>100</LbgOptionInlineValue-0>
+      <LbgOptionFileInline-0 />
+      <LbgOptionHeadStdlibH-0>True</LbgOptionHeadStdlibH-0>
       <LbgOptionSectionD-0>D</LbgOptionSectionD-0>
-      <LbgOptionFileInline-0 />
-      <LbgOptionHeadStdioH-0>True</LbgOptionHeadStdioH-0>
+      <LbgOptionCase-0>Auto</LbgOptionCase-0>
+      <LbgOptionHeadStringH-0>True</LbgOptionHeadStringH-0>
       <LbgOptionSectionB-0>B</LbgOptionSectionB-0>
-      <LbgOptionCase-0>Auto</LbgOptionCase-0>
-      <LbgOptionHeadStdlibH-0>True</LbgOptionHeadStdlibH-0>
+      <LbgOptionHeadIos-0>False</LbgOptionHeadIos-0>
       <LbgOptionSectionL-0>L</LbgOptionSectionL-0>
-      <LbgOptionHeadStringH-0>True</LbgOptionHeadStringH-0>
-      <LbgOptionSectionW-0>W</LbgOptionSectionW-0>
       <LbgOptionVolatile-0>False</LbgOptionVolatile-0>
       <LbgOptionConstCopy-0>Auto</LbgOptionConstCopy-0>
-      <LbgOptionHeadIos-0>False</LbgOptionHeadIos-0>
+      <LbgOptionHeadNew-0>True</LbgOptionHeadNew-0>
+      <LbgOptionSectionW-0>W</LbgOptionSectionW-0>
+      <LbgOptionConstDiv-0>Auto</LbgOptionConstDiv-0>
+      <LbgOptionHeadComplex-0>False</LbgOptionHeadComplex-0>
       <LbgOptionNostuffB-0>False</LbgOptionNostuffB-0>
-      <LbgOptionConstDiv-0>Auto</LbgOptionConstDiv-0>
-      <LbgOptionHeadNew-0>True</LbgOptionHeadNew-0>
+      <LbgOptionHeadString-0>False</LbgOptionHeadString-0>
+      <LbgOptionLibrary-0>Intrinsic</LbgOptionLibrary-0>
       <LbgOptionNostuffD-0>False</LbgOptionNostuffD-0>
-      <LbgOptionHeadComplex-0>False</LbgOptionHeadComplex-0>
-      <LbgOptionLibrary-0>Intrinsic</LbgOptionLibrary-0>
+      <LbgOptionHeadComplexH-0>False</LbgOptionHeadComplexH-0>
       <LbgOptionNostuffC-0>False</LbgOptionNostuffC-0>
-      <LbgOptionHeadString-0>False</LbgOptionHeadString-0>
+      <LbgOptionScope-0>Auto</LbgOptionScope-0>
+      <LbgOptionHeadFenvH-0>False</LbgOptionHeadFenvH-0>
       <LbgOptionNostuffW-0>False</LbgOptionNostuffW-0>
-      <LbgOptionScope-0>Auto</LbgOptionScope-0>
-      <LbgOptionHeadComplexH-0>False</LbgOptionHeadComplexH-0>
-      <LbgOptionInstalign-0>Noinstalign</LbgOptionInstalign-0>
       <LbgOptionSchedule-0>Auto</LbgOptionSchedule-0>
       <LbgOptionApproxdiv-0>False</LbgOptionApproxdiv-0>
-      <LbgOptionHeadFenvH-0>False</LbgOptionHeadFenvH-0>
+      <LbgOptionHeadInttypesH-0>False</LbgOptionHeadInttypesH-0>
+      <LbgOptionInstalign-0>Noinstalign</LbgOptionInstalign-0>
+      <LbgOptionEnableRegister-0>False</LbgOptionEnableRegister-0>
+      <LbgOptionHeadWcharH-0>False</LbgOptionHeadWcharH-0>
       <LbgOptionNouseDiv-0>True</LbgOptionNouseDiv-0>
-      <LbgOptionEnableRegister-0>False</LbgOptionEnableRegister-0>
-      <LbgOptionHeadInttypesH-0>False</LbgOptionHeadInttypesH-0>
-      <LbgOptionHeadWcharH-0>False</LbgOptionHeadWcharH-0>
+      <LbgOptionHeadWctypeH-0>False</LbgOptionHeadWctypeH-0>
       <LbgOptionSimpleFloatConv-0>False</LbgOptionSimpleFloatConv-0>
       <LbgOptionFpu-0>Auto</LbgOptionFpu-0>
-      <LbgOptionHeadWctypeH-0>False</LbgOptionHeadWctypeH-0>
       <LbgOptionFloatOrder-0>False</LbgOptionFloatOrder-0>
     </Instance>
@@ -2164,4 +2226,9 @@
     </Instance>
   </Class>
+  <Class Guid="606767c3-4bf3-4e65-90c1-19075517355d">
+    <Instance Guid="606767c3-4bf3-4e65-90c1-19075517355d">
+      <CurrentToolKey>980229aa-cc4c-40c7-be19-a84e15ec314e</CurrentToolKey>
+    </Instance>
+  </Class>
   <Class Guid="8b5af363-dcc2-48e6-919c-6cdb80d50173">
     <Instance Guid="8b5af363-dcc2-48e6-919c-6cdb80d50173">
@@ -2170,10 +2237,10 @@
     </Instance>
   </Class>
-  <Class Guid="932085a2-9361-4df9-a3f7-12e6de7681a8">
-    <Instance Guid="932085a2-9361-4df9-a3f7-12e6de7681a8">
-      <DebugToolManager>1d1a55cf-2b92-481a-af4f-5975d095c419</DebugToolManager>
+  <Class Guid="9a065877-3b93-453c-9b72-940c69f10716">
+    <Instance Guid="00000000-0000-0000-0000-000000000000">
+      <SubDebugger>00000000-0000-0000-0000-000000000000</SubDebugger>
     </Instance>
   </Class>
-  <Class Guid="e4df8d71-236e-4af2-aaea-56345a08da25">
+  <Class Guid="52e1ea47-4c41-4f6c-b81e-9caa42437088">
     <Instance Guid="9e76d4e8-0b8f-4e7c-91b7-a4c442bcf2e7">
       <DeviceChangedCounter>0</DeviceChangedCounter>
@@ -2191,6 +2258,9 @@
       <DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-Length>1</DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-Length>
       <DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-DebuggerGuid />
+      <DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-IsDefaultItem>True</DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-IsDefaultItem>
+      <DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-DefaultItemProjectGuid>2549006c-fcd4-4421-b0d4-eaa432247c3a</DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-DefaultItemProjectGuid>
       <DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-FileName>DefaultBuild\ukadecot.abs</DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-FileName>
       <DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-FileType>LoadModuleFile</DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-FileType>
+      <DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-CompilerType>Auto</DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-CompilerType>
       <DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-Offset>0</DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-Offset>
       <DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-StartAddress>0</DebuggerProperty-DownloadProperty-DebugInformation-DownloadFiles-DownloadItem0-StartAddress>
@@ -2206,4 +2276,6 @@
       <DebuggerProperty-DownloadProperty-DebugInformation-SkipStartup>True</DebuggerProperty-DownloadProperty-DebugInformation-SkipStartup>
       <DebuggerProperty-DownloadProperty-DebugInformation-MainSymbol>XwBtAGEAaQBuAA==</DebuggerProperty-DownloadProperty-DebugInformation-MainSymbol>
+      <DebuggerProperty-DownloadProperty-DebugInformation-MaxLoaderMemorySize>500</DebuggerProperty-DownloadProperty-DebugInformation-MaxLoaderMemorySize>
+      <DebuggerProperty-DownloadProperty-None-DefaultDownloadItemSupported>True</DebuggerProperty-DownloadProperty-None-DefaultDownloadItemSupported>
       <DebuggerProperty-OptionalProperty-Register-UpdateDisplayInExecutionForPC>No</DebuggerProperty-OptionalProperty-Register-UpdateDisplayInExecutionForPC>
       <DebuggerProperty-OptionalProperty-Register-UpdateIntervalForPC>500</DebuggerProperty-OptionalProperty-Register-UpdateIntervalForPC>
Index: uKadecot/trunk/ecnl_ssp/echonet_uip_task.c
===================================================================
--- uKadecot/trunk/ecnl_ssp/echonet_uip_task.c	(revision 248)
+++ uKadecot/trunk/ecnl_ssp/echonet_uip_task.c	(revision 262)
@@ -176,18 +176,18 @@
 	PT_BEGIN(&pt);
 
-	uip_ipaddr(localhost, 127, 0, 0, 1);
-	uip_ipaddr(multicast, 224, 0, 23, 0);
-	uip_ipaddr(zeroaddr, 0, 0, 0, 0);
-	uip_ipaddr(ccep.ripaddr, 0, 0, 0, 0);
+	uip_ipaddr(&localhost, 127, 0, 0, 1);
+	uip_ipaddr(&multicast, 224, 0, 23, 0);
+	uip_ipaddr(&zeroaddr, 0, 0, 0, 0);
+	uip_ipaddr(&ccep.ripaddr, 0, 0, 0, 0);
 	ccep.rport = 0;
 	ccep.lport = 3610;
 	ccep.callback = callback_nblk_udp;
 
-	uip_gethostaddr(a_src);
+	uip_gethostaddr(&a_src);
 	ECN_DBG_PUT("[UDP TSK:%d] started, IP Address: %s ether_max_len: %u",
 		ecn_udp_taskid,
 		ip2str(NULL, a_src),
 		UIP_BUFSIZE);
-	uip_ipaddr_copy(enodadrb_table[ENOD_LOCAL_ID].ipaddr, a_src);
+	uip_ipaddr_copy((T_IN4_ADDR *)&enodadrb_table[ENOD_LOCAL_ID].ipaddr, &a_src);
 
 	UDP_CEPID = udp_acre_cep(&ccep);
@@ -438,5 +438,5 @@
 	static SYSTIM a_prev, a_now;
 
-	uip_ipaddr(a_dst.ipaddr, 0,0,0,0);
+	uip_ipaddr(&a_dst.ipaddr, 0,0,0,0);
 	a_dst.portno = 0;
 	/* 送信先IPアドレス */
@@ -455,5 +455,5 @@
 			ECN_DBG_PUT("[UDP TSK] _ecn_fbs_get_data() result = %d:%s", a_ret, itron_strerror(a_ret));
 		}
-		else if(uip_ipaddr_cmp(a_dst.ipaddr, localhost)) {
+		else if(uip_ipaddr_cmp(&a_dst.ipaddr, &localhost)) {
 			/* 送信先が127.0.0.1 → mbxに転送 */
 			ECN_DBG_PUT("redirect ecn_udp_mailboxid → ecn_svc_mailboxid (esv:0x%02X)",
@@ -629,7 +629,7 @@
 	int			i;
 
-	if (uip_ipaddr_cmp(ipaddr, localhost))
+	if (uip_ipaddr_cmp(&ipaddr, &localhost))
 		return ENOD_LOCAL_ID;
-	if (uip_ipaddr_cmp(ipaddr, multicast))
+	if (uip_ipaddr_cmp(&ipaddr, &multicast))
 		return ENOD_MULTICAST_ID;
 
@@ -638,5 +638,5 @@
 		if (!ea->inuse)
 			continue;
-		if (!uip_ipaddr_cmp(ea->ipaddr, ipaddr))
+		if (!uip_ipaddr_cmp((T_IN4_ADDR *)&ea->ipaddr, &ipaddr))
 			continue;
 
@@ -652,11 +652,11 @@
 		if ((i - ENOD_REMOTE_ID + 1) >= tnum_enodid)
 			break;
-		if (uip_ipaddr_cmp(ea->ipaddr, zeroaddr))
+		if (uip_ipaddr_cmp((T_IN4_ADDR *)&ea->ipaddr, &zeroaddr))
 			continue;
-		if (!ECHONET_NODE_MATCH(&eobjcb_table[i - ENOD_REMOTE_ID + 1], edata, ipaddr, portno))
+		if (!ECHONET_NODE_MATCH(&eobjcb_table[i - ENOD_REMOTE_ID + 1], edata, &ipaddr, portno))
 			continue;
 
 		/* 対応するリモートノードがあればIPアドレスを設定 */
-		uip_ipaddr_copy(ea->ipaddr, ipaddr);
+		uip_ipaddr_copy((T_IN4_ADDR *)&ea->ipaddr, &ipaddr);
 
 		ECN_CAP_PUT("udp_get_id(): enod-found remote(%d) = %s",
@@ -671,5 +671,5 @@
 
 		ea->inuse = true;
-		uip_ipaddr_copy(ea->ipaddr, ipaddr);
+		uip_ipaddr_copy((T_IN4_ADDR *)&ea->ipaddr, &ipaddr);
 
 		ECN_CAP_PUT("udp_get_id(): empty-found remote(%d) = %s",
@@ -695,5 +695,5 @@
 	if (fa_enodid == ENOD_MULTICAST_ID) {
 		/* targetがENOD_MULTICAST_IDの場合、マルチキャストを行う */
-		uip_ipaddr_copy(fp_ipep->ipaddr, multicast);
+		uip_ipaddr_copy(&fp_ipep->ipaddr, &multicast);
 		return 0;	/* ok */
 	}
@@ -701,5 +701,5 @@
 	if (fa_enodid < ENOD_REMOTE_ID) {
 		/* targetが未定義・LOCAL・APIの場合、ローカル配送を行う */
-		uip_ipaddr_copy(fp_ipep->ipaddr, localhost);
+		uip_ipaddr_copy(&fp_ipep->ipaddr, &localhost);
 		return 0;	/* ok */
 	}
@@ -712,8 +712,8 @@
 		return -1;	/* NG */
 
-	if (uip_ipaddr_cmp(ea->ipaddr, zeroaddr))
+	if (uip_ipaddr_cmp((T_IN4_ADDR *)&ea->ipaddr, &zeroaddr))
 		return -1;	/* NG */
 
-	uip_ipaddr_copy(fp_ipep->ipaddr, ea->ipaddr);
+	uip_ipaddr_copy(&fp_ipep->ipaddr, (T_IN4_ADDR *)&ea->ipaddr);
 	return 0;	/* ok */
 }
Index: uKadecot/trunk/ssp/arch/rx630_ccrx/prc.tf
===================================================================
--- uKadecot/trunk/ssp/arch/rx630_ccrx/prc.tf	(revision 248)
+++ uKadecot/trunk/ssp/arch/rx630_ccrx/prc.tf	(revision 262)
@@ -336,9 +336,13 @@
 fvector_table:$NL$$NL$
 
+$TAB$ .lword$TAB$ 0FFFFFFFFH $TAB$ ; Endian Select Register (little)$NL$
+$TAB$ .offset$TAB$ 008H$NL$
+$TAB$ .lword$TAB$ 0FFFFFFFFH $TAB$ ; OFS1$NL$
+$TAB$ .lword$TAB$ 0FFFFFFFFH $TAB$ ; OFS0$NL$
 $TAB$ .offset$TAB$ 020H$NL$
-$TAB$ .lword$TAB$ 00000000 $TAB$ ; 制御コード, IDコード1 - 3$NL$
-$TAB$ .lword$TAB$ 00000000 $TAB$ ; IDコード4 - 7$NL$
-$TAB$ .lword$TAB$ 00000000 $TAB$ ; IDコード8 - 11$NL$
-$TAB$ .lword$TAB$ 00000000 $TAB$ ; IDコード12 - 15$NL$$NL$
+$TAB$ .lword$TAB$ 0FFFFFFFFH $TAB$ ; 制御コード, IDコード1 - 3$NL$
+$TAB$ .lword$TAB$ 0FFFFFFFFH $TAB$ ; IDコード4 - 7$NL$
+$TAB$ .lword$TAB$ 0FFFFFFFFH $TAB$ ; IDコード8 - 11$NL$
+$TAB$ .lword$TAB$ 0FFFFFFFFH $TAB$ ; IDコード12 - 15$NL$$NL$
 
 $TAB$ .offset$TAB$ 050H$NL$
Index: uKadecot/trunk/tools/makefsdata/makefsdata.sln
===================================================================
--- uKadecot/trunk/tools/makefsdata/makefsdata.sln	(revision 248)
+++ uKadecot/trunk/tools/makefsdata/makefsdata.sln	(revision 262)
@@ -1,6 +1,6 @@
 ﻿
 Microsoft Visual Studio Solution File, Format Version 12.00
-# Visual Studio 2013
-VisualStudioVersion = 12.0.31101.0
+# Visual Studio 14
+VisualStudioVersion = 14.0.25420.1
 MinimumVisualStudioVersion = 10.0.40219.1
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "makefsdata", "makefsdata.vcxproj", "{5F923912-3171-4047-9C5A-37E352D460F5}"
Index: uKadecot/trunk/tools/makefsdata/makefsdata.vcxproj
===================================================================
--- uKadecot/trunk/tools/makefsdata/makefsdata.vcxproj	(revision 248)
+++ uKadecot/trunk/tools/makefsdata/makefsdata.vcxproj	(revision 262)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup Label="ProjectConfigurations">
     <ProjectConfiguration Include="Debug|Win32">
@@ -20,5 +20,5 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
-    <PlatformToolset>v110</PlatformToolset>
+    <PlatformToolset>v140</PlatformToolset>
     <CharacterSet>MultiByte</CharacterSet>
   </PropertyGroup>
@@ -26,5 +26,5 @@
     <ConfigurationType>Application</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
-    <PlatformToolset>v110</PlatformToolset>
+    <PlatformToolset>v140</PlatformToolset>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>MultiByte</CharacterSet>
Index: uKadecot/trunk/tools/zlib/zlib.vcxproj
===================================================================
--- uKadecot/trunk/tools/zlib/zlib.vcxproj	(revision 248)
+++ uKadecot/trunk/tools/zlib/zlib.vcxproj	(revision 262)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup Label="ProjectConfigurations">
     <ProjectConfiguration Include="Debug|Win32">
@@ -20,5 +20,5 @@
     <ConfigurationType>StaticLibrary</ConfigurationType>
     <UseDebugLibraries>true</UseDebugLibraries>
-    <PlatformToolset>v110</PlatformToolset>
+    <PlatformToolset>v140</PlatformToolset>
     <CharacterSet>Unicode</CharacterSet>
   </PropertyGroup>
@@ -26,5 +26,5 @@
     <ConfigurationType>StaticLibrary</ConfigurationType>
     <UseDebugLibraries>false</UseDebugLibraries>
-    <PlatformToolset>v110</PlatformToolset>
+    <PlatformToolset>v140</PlatformToolset>
     <WholeProgramOptimization>true</WholeProgramOptimization>
     <CharacterSet>Unicode</CharacterSet>
Index: uKadecot/trunk/uip/apps/dhcpc/dhcpc.c
===================================================================
--- uKadecot/trunk/uip/apps/dhcpc/dhcpc.c	(revision 248)
+++ uKadecot/trunk/uip/apps/dhcpc/dhcpc.c	(revision 262)
@@ -160,7 +160,7 @@
   memcpy(m->xid, xid, sizeof(m->xid));
   m->secs = 0;
-  m->flags = HTONS(BOOTP_BROADCAST); /*  Broadcast bit. */
-  /*  uip_ipaddr_copy(m->ciaddr, uip_hostaddr);*/
-  memcpy(m->ciaddr, uip_hostaddr, sizeof(m->ciaddr));
+  m->flags = UIP_HTONS(BOOTP_BROADCAST); /*  Broadcast bit. */
+  /*  uip_ipaddr_copy(&m->ciaddr, &uip_hostaddr);*/
+  memcpy(m->ciaddr, &uip_hostaddr, sizeof(m->ciaddr));
   memset(m->yiaddr, 0, sizeof(m->yiaddr));
   memset(m->siaddr, 0, sizeof(m->siaddr));
@@ -329,5 +329,5 @@
          uip_ipaddr3(s->default_router), uip_ipaddr4(s->default_router));
   printf("Lease expires in %ld seconds\n",
-         ntohs(s->lease_time[0])*65536ul + ntohs(s->lease_time[1]));
+         uip_ntohs(s->lease_time[0])*65536ul + uip_ntohs(s->lease_time[1]));
 #endif
 
@@ -356,6 +356,6 @@
   uip_ipaddr_t addr;
 
-  uip_ipaddr(addr, 255,255,255,255);
-  conn = uip_udp_new(&addr, HTONS(DHCPC_SERVER_PORT));
+  uip_ipaddr(&addr, 255,255,255,255);
+  conn = uip_udp_new(&addr, UIP_HTONS(DHCPC_SERVER_PORT));
   if(conn != NULL) {
     s = &conn->appstate.parblk.dhcpc;
@@ -367,5 +367,5 @@
     s->conn->appstate.udp_callback = dhcpc_appcall;
 
-    uip_udp_bind(conn, HTONS(DHCPC_CLIENT_PORT));
+    uip_udp_bind(conn, UIP_HTONS(DHCPC_CLIENT_PORT));
 
     PT_INIT(&s->pt);
@@ -386,9 +386,9 @@
 dhcpc_request(struct dhcpc_state *s)
 {
-  uint16_t ipaddr[2];
+  uip_ipaddr_t ipaddr;
 
   s->state = STATE_REQUEST;
-  uip_ipaddr(ipaddr, 0,0,0,0);
-  uip_sethostaddr(ipaddr);
+  uip_ipaddr(&ipaddr, 0,0,0,0);
+  uip_sethostaddr(&ipaddr);
   uip_udp_conn = s->conn;
   uip_process(UIP_UDP_TIMER);
Index: uKadecot/trunk/uip/apps/webserver/httpd.c
===================================================================
--- uKadecot/trunk/uip/apps/webserver/httpd.c	(revision 248)
+++ uKadecot/trunk/uip/apps/webserver/httpd.c	(revision 262)
@@ -545,5 +545,5 @@
 httpd_init(void)
 {
-  uip_listen(HTONS(41314));
+  uip_listen(UIP_HTONS(41314));
 
   httpd_fs_init();
Index: uKadecot/trunk/uip/net/ip/psock.h
===================================================================
--- uKadecot/trunk/uip/net/ip/psock.h	(revision 248)
+++ uKadecot/trunk/uip/net/ip/psock.h	(revision 262)
@@ -111,5 +111,5 @@
   uint8_t *readptr;         /* Pointer to the next data to be read. */
 
-  char *bufptr;          /* Pointer to the buffer used for buffering
+  uint8_t *bufptr;          /* Pointer to the buffer used for buffering
                             incoming data. */
 
@@ -124,5 +124,5 @@
 };
 
-void psock_init(struct psock *psock, char *buffer, unsigned int buffersize);
+void psock_init(struct psock *psock, uint8_t *buffer, unsigned int buffersize);
 /**
  * Initialize a protosocket.
@@ -135,5 +135,5 @@
  * initialized
  *
- * \param buffer (char *) A pointer to the input buffer for the
+ * \param buffer (uint8_t *) A pointer to the input buffer for the
  * protosocket.
  *
@@ -158,5 +158,5 @@
 #define PSOCK_BEGIN(psock) PT_BEGIN(&((psock)->pt))
 
-PT_THREAD(psock_send(struct psock *psock, const char *buf, unsigned int len));
+PT_THREAD(psock_send(struct psock *psock, const uint8_t *buf, unsigned int len));
 /**
  * Send data.
@@ -169,5 +169,5 @@
  * data is to be sent.
  *
- * \param data (char *) A pointer to the data that is to be sent.
+ * \param data (uint8_t *) A pointer to the data that is to be sent.
  *
  * \param datalen (unsigned int) The length of the data that is to be
@@ -190,5 +190,5 @@
  */
 #define PSOCK_SEND_STR(psock, str)      		\
-    PT_WAIT_THREAD(&((psock)->pt), psock_send(psock, str, strlen(str)))
+  PT_WAIT_THREAD(&((psock)->pt), psock_send(psock, (uint8_t *)str, strlen(str)))
 
 PT_THREAD(psock_generator_send(struct psock *psock,
@@ -257,5 +257,5 @@
  * This macro will block waiting for data and read the data into the
  * input buffer specified with the call to PSOCK_INIT(). Data is only
- * read until the specifieed character appears in the data stream.
+ * read until the specified character appears in the data stream.
  *
  * \param psock (struct psock *) A pointer to the protosocket from which
@@ -353,5 +353,5 @@
    PSOCK_BEGIN(s);
 
-   PSOCK_WAIT_UNTIL(s, PSOCK_NEWADATA(s) || timer_expired(t));
+   PSOCK_WAIT_UNTIL(s, PSOCK_NEWDATA(s) || timer_expired(t));
 
    if(PSOCK_NEWDATA(s)) {
@@ -379,2 +379,3 @@
 
 /** @} */
+/** @} */
